From: "Virgil Dupras" <vdupras@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-xprocess/
Date: Tue, 21 Aug 2018 02:11:07 +0000 (UTC) [thread overview]
Message-ID: <1534817396.53138d9a165883dcb456381ea8c21bd6bcc85c3b.vdupras@gentoo> (raw)
commit: 53138d9a165883dcb456381ea8c21bd6bcc85c3b
Author: Virgil Dupras <vdupras <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 21 01:57:34 2018 +0000
Commit: Virgil Dupras <vdupras <AT> gentoo <DOT> org>
CommitDate: Tue Aug 21 02:09:56 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=53138d9a
dev-python/pytest-xprocess: add python 3.7 support
* EAPI 7
* Fix broken tests
Closes: https://bugs.gentoo.org/644098
Closes: https://bugs.gentoo.org/626328
Package-Manager: Portage-2.3.47, Repoman-2.3.10
.../pytest-xprocess-0.12.1-r1.ebuild | 32 ++++++++++++++++++++++
1 file changed, 32 insertions(+)
diff --git a/dev-python/pytest-xprocess/pytest-xprocess-0.12.1-r1.ebuild b/dev-python/pytest-xprocess/pytest-xprocess-0.12.1-r1.ebuild
new file mode 100644
index 00000000000..8677f37ccd2
--- /dev/null
+++ b/dev-python/pytest-xprocess/pytest-xprocess-0.12.1-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Manage external processes across test runs"
+HOMEPAGE="https://pypi.org/project/pytest-xprocess/ https://github.com/pytest-dev/pytest-xprocess"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-cache[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+python_test() {
+ cd example || die
+ # Upstream's package mistakenly includes __pycache__ directory that make
+ # tests fail.
+ rm -rf __pycache__ || die
+ pytest -v || die
+}
next reply other threads:[~2018-08-21 2:11 UTC|newest]
Thread overview: 83+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-08-21 2:11 Virgil Dupras [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-16 14:46 [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-xprocess/ Michał Górny
2024-06-05 9:13 Michał Górny
2024-06-05 6:48 Arthur Zamarin
2024-05-20 4:48 Michał Górny
2024-05-11 9:07 Michał Górny
2024-04-20 9:48 Michał Górny
2024-04-01 9:31 Michał Górny
2023-10-25 5:54 Michał Górny
2023-10-24 18:37 Sam James
2023-09-24 3:12 Michał Górny
2023-05-25 15:47 Michał Górny
2023-03-17 15:23 Michał Górny
2023-02-13 6:07 Michał Górny
2023-02-12 20:24 Jakov Smolić
2023-01-06 5:35 Michał Górny
2022-12-31 10:55 Michał Górny
2022-12-31 10:41 Arthur Zamarin
2022-11-28 6:05 Michał Górny
2022-10-03 6:36 Michał Górny
2022-10-02 19:18 Arthur Zamarin
2022-08-30 5:45 Michał Górny
2022-06-13 8:20 Michał Górny
2022-05-11 21:05 Michał Górny
2022-05-11 21:05 Michał Górny
2021-09-21 21:37 James Le Cuirot
2021-08-30 5:57 Michał Górny
2021-08-30 1:23 Sam James
2021-07-28 9:08 Michał Górny
2021-05-24 2:39 Joshua Kinard
2021-05-06 18:45 Michał Górny
2021-04-05 18:00 Michał Górny
2021-03-03 8:07 Michał Górny
2020-12-29 12:31 Michał Górny
2020-12-29 9:47 Sam James
2020-12-06 17:42 Michał Górny
2020-12-06 17:37 Sam James
2020-11-27 9:20 Michał Górny
2020-11-15 7:54 Michał Górny
2020-11-15 5:19 Sam James
2020-11-02 10:34 Michał Górny
2020-10-30 17:23 Michał Górny
2020-10-05 21:47 Michał Górny
2020-09-25 7:58 Michał Górny
2020-09-25 7:58 Michał Górny
2020-09-21 16:06 Michał Górny
2020-09-20 10:24 Michał Górny
2020-06-11 21:48 Sergei Trofimovich
2020-05-28 18:20 Sergei Trofimovich
2020-05-26 10:35 Michał Górny
2020-05-05 22:13 Sergei Trofimovich
2020-04-16 20:40 Mart Raudsepp
2020-04-16 14:08 Agostino Sarubbo
2020-04-16 14:08 Agostino Sarubbo
2020-04-16 14:07 Agostino Sarubbo
2020-04-16 13:48 Agostino Sarubbo
2020-04-16 11:38 Agostino Sarubbo
2020-04-16 10:42 Michał Górny
2020-04-08 14:01 Agostino Sarubbo
2020-03-25 13:59 Michał Górny
2020-03-25 13:59 Michał Górny
2020-03-16 5:54 Matt Turner
2020-02-01 12:36 Sergei Trofimovich
2020-01-31 22:17 Sergei Trofimovich
2020-01-31 6:50 Michał Górny
2019-12-03 23:26 Aaron Bauman
2019-11-22 19:38 Michał Górny
2019-11-22 19:38 Michał Górny
2018-08-25 17:41 Virgil Dupras
2018-01-28 20:41 Markus Meier
2018-01-06 0:44 Michał Górny
2017-12-24 13:38 Sergei Trofimovich
2017-09-30 0:31 Matt Thode
2017-09-16 14:23 Patrick Lauer
2017-06-26 11:04 Alexis Ballier
2017-02-13 7:30 Zac Medico
2017-01-22 15:01 Agostino Sarubbo
2017-01-21 18:54 Agostino Sarubbo
2016-01-03 16:41 Patrick Lauer
2015-12-17 14:48 Justin Lecher
2015-11-09 11:49 Justin Lecher
2015-11-09 11:49 Justin Lecher
2015-11-09 11:49 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1534817396.53138d9a165883dcb456381ea8c21bd6bcc85c3b.vdupras@gentoo \
--to=vdupras@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox